#ifndef _BUTTON_H_
#define _BUTTON_H_

#include "BilliardZ.h"

class Button;
class ButtonListener;
class Sprite;

class Button : public Sprite
{
	public:
		Button(SDL_Surface *screen, Uint16 imgNum);
		~Button();

		const char *getName() const;

		void setListener(ButtonListener *listener);

		bool mouseReleased(unsigned int x, unsigned int y);

	private:
		SDL_Surface *image;

		ButtonListener *listener;
};

#endif /* _BUTTON_H_ */
