#include "Button.h"

Button::Button(SDL_Surface *screen, Uint16 imgNum)
	: Sprite(screen, imgNum, true), listener(NULL)
{
}

Button::~Button()
{
}

const char *
Button::getName() const
{
	return "Button";
}

void
Button::setListener(ButtonListener *listener)
{
	this->listener = listener;
}

bool
Button::mouseReleased(unsigned int, unsigned int)
{
	if (listener != NULL)
		listener->buttonClicked(this);

	return true;
}

