#ifndef _IMAGELOADER_H_
#define _IMAGELOADER_H_

/* Image numbers */
typedef enum
{
	IMAGE_TABLE             = 0,
	IMAGE_UNSET_BALL,
	IMAGE_FIRST_BALL,
	IMAGE_BALL_SHADOW       = 18,
	IMAGE_TOP_SIDE,
	IMAGE_TOPRIGHT_SIDE,
	IMAGE_BOTTOMRIGHT_SIDE,
	IMAGE_BOTTOM_SIDE,
	IMAGE_BOTTOMLEFT_SIDE,
	IMAGE_TOPLEFT_SIDE,
	IMAGE_HOLE,
	IMAGE_SPLASHSCREEN,
	IMAGE_FLOOR,
	IMAGE_TABLESHADOW,
	IMAGE_CURPLAYER_ARROW,
	IMAGE_METER_BG,
	IMAGE_METER_BAR,
	IMAGE_SHOOT_BUTTON,
	IMAGE_SUNKTRAY

} ImageType;

#include "BilliardZ.h"

class ImageLoader
{
	public:
		ImageLoader();
		~ImageLoader();

		SDL_Surface *load(Uint16 num, bool alphaChannel = false);
		SDL_Surface *load(ImageType type, bool alphaChannel = false);

	private:
		SDL_Surface **images;
};

#endif /* _IMAGELOADER_H_ */
